Author Topic: Can't change UI  (Read 1213 times)

negus

  • Newbie
  • *
  • Posts: 11
    • View Profile
Can't change UI
« on: January 13, 2008, 07:39:59 pm »
Hi,
i am trying to build a lmce box.
i ordered some hardware and now try to run it as a hybrid because i have only one room at my flat :)


HW:
Abit An-2MHD (GEforce 7050pv , nforce 630a Chipset)
2x 1GB DDR2 800 RAm
CPU Athlon64 LE1620 2,4GHz AM2
750gig Samsung hdd :)

I ran into some Problems when i tried to install with the DVD Installer.
So decided to install Kubuntu 7.04 first and then add LMCE to the installation.

It took my a lot of time to get the geforce 7050 supported. (nvidia-glx /glx-new didn't work) so i
installed the driver with the .sh file from nvidia and everything worked fine. (just 5 hours work to
realize that the kubuntu modprobe.d/lrm-video blacklists the nvidia driver...)


Anyway.... finally i got it working and installed lmce.
Then the bad surprise. LMCE installes the nvidia driver out of the sources. which don't work with the abit board.
So i edited the xorg.conf to the vesa driver and the xserver started without problems. (1)

Because i was sure UI2 would not work with the vesa driver i choosed "basic UI" at the wizard that came up.
Sure to be able to change this after i installed the nvidia driver again.
And then yet another bad surprise. I can't change the UI with the help of the admin web site.
I switched to the orbiter side at the admin side and searched for the drop-down menu but unfortunatly it seems,
that it is disabled.

Is there a way to restart the wizard which is shown at the first boot? I tried to set the "frist_boot" entry in the pluto.conf
to true but that didn't change anything @ the next boot.


(1) LMCE switches between vc/1 and vc/8 (maybe its 7 don't remember) all the time when the xserver can not be started.
Thats really annoying! Maybe there is a better way to show that the xserver can not be started.

LMCE runs fine. But only with the UI1 and i really want to use UI2.

thx for your help and have a nice day :)

PS. sry for my english

negus

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Can't change UI
« Reply #1 on: January 13, 2008, 07:52:05 pm »
sry to just start a new thread.
i think the av-wizard will do what i want.

But there is still the problem with the nvidia driver. Anyone knows how to fix it?
Would be nice to get it running with nvidia-glx, so lmce would automaticly include the updates.

anyone has experiences with the 7050pv or the abit board? i choosed it because
i read in the wiki that it is running just out of the box. so there must be people who got it
running wiithout probs.


mog

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Can't change UI
« Reply #2 on: January 15, 2008, 03:09:54 am »
You can also change it in the admin.

Select Wizard > Devices > Orbiters and change the UI there.

However mine is not selectable, possibly because the graphics card isn't fully supported. (A new one is on the way).

tkmedia

  • wants to work for LinuxMCE
  • **
  • Posts: 937
    • View Profile
    • LMCECompatible
Re: Can't change UI
« Reply #3 on: January 15, 2008, 03:31:21 am »
A quick search on the forums for 7050 yeilds my earlier post
http://forum.linuxmce.org/index.php?topic=3368.0
My Setup http://wiki.linuxmce.org/index.php/User:Tkmedia

For LinuxMce compatible  systems and accessories
http://lmcecompatible.com/

negus

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Can't change UI
« Reply #4 on: January 15, 2008, 11:10:27 am »
i also tried to change the ui with the admin page.
mine is also not selectable. maybe u have to generate the ui2 images with the av wizard before u ca
select it in at the admin page.

thx for the hint with envy. will try this at the weekend

tkmedia

  • wants to work for LinuxMCE
  • **
  • Posts: 937
    • View Profile
    • LMCECompatible
Re: Can't change UI
« Reply #5 on: January 15, 2008, 04:43:26 pm »
I have two of these boards just follow the 123 guide for 0704 or just install 0710b2 it works out of the box with this board.
My Setup http://wiki.linuxmce.org/index.php/User:Tkmedia

For LinuxMce compatible  systems and accessories
http://lmcecompatible.com/

negus

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Can't change UI
« Reply #6 on: January 15, 2008, 11:04:15 pm »
y i also read this in the wiki but the nvidia-glx driver doesn't work
don't know why.
i will test the nvidia-glx driver again when i can get to my mc again

ty

colinjones

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 3003
    • View Profile
Re: Can't change UI
« Reply #7 on: January 16, 2008, 12:30:04 am »
Maybe wait until tomorrow and join the "swarm"! According to the wiki entries from Ender, looks like Beta3 will be up for download tomorrow. (16th) I note that Beta3 is effectively the first "public" Beta release, as the other 2 were not supposed to be released due to possible stability issues. The Changelog looks good :)